diff --git a/src/main/java/net/minecraft/client/render/entity/SquidRenderer.java b/src/main/java/net/minecraft/client/render/entity/MobRendererSquid.java
similarity index 73%
rename from src/main/java/net/minecraft/client/render/entity/SquidRenderer.java
rename to src/main/java/net/minecraft/client/render/entity/MobRendererSquid.java
index 00f7c1ece..394451e20 100644
--- a/src/main/java/net/minecraft/client/render/entity/SquidRenderer.java
+++ b/src/main/java/net/minecraft/client/render/entity/MobRendererSquid.java
@@ -1,28 +1,28 @@
 package net.minecraft.client.render.entity;
 
-import net.minecraft.client.render.model.BaseModel;
+import net.minecraft.client.render.model.ModelBase;
 import net.minecraft.client.render.tessellator.Tessellator;
-import net.minecraft.core.entity.animal.SquidMob;
+import net.minecraft.core.entity.animal.MobSquid;
 import org.lwjgl.opengl.GL11;
 
 // Referenced classes of package net.minecraft.src:
-//            RenderLiving, SquidMob, BaseModel, Mob,
+//            RenderLiving, MobSquid, ModelBase, Mob,
 //            Entity
 
-public class SquidRenderer extends MobRenderer<SquidMob>
+public class MobRendererSquid extends MobRenderer<MobSquid>
 {
-    public SquidRenderer(BaseModel modelbase, float f)
+    public MobRendererSquid(ModelBase modelbase, float f)
     {
         super(modelbase, f);
     }
     @Override
-    protected float limbSway(SquidMob squid, float partialTick)
+    protected float limbSway(MobSquid squid, float partialTick)
     {
         return squid.oldTentacleAngle + (squid.tentacleAngle - squid.oldTentacleAngle) * partialTick;
     }
 
     @Override
-    protected void setupRotations(SquidMob squid, float ticksExisted, float bodyYaw, float partialTick)
+    protected void setupRotations(MobSquid squid, float ticksExisted, float bodyYaw, float partialTick)
     {
         if (squid.isSpecial()) {
             super.setupRotations(squid, ticksExisted, bodyYaw, partialTick);
@@ -38,7 +38,7 @@ public class SquidRenderer extends MobRenderer<SquidMob>
     }
 
     @Override
-    public void renderPreview(Tessellator tessellator, SquidMob squid, double x, double y, double z, float yaw, float partialTick) {
+    public void renderPreview(Tessellator tessellator, MobSquid squid, double x, double y, double z, float yaw, float partialTick) {
         GL11.glPushMatrix();
         GL11.glTranslatef(0.0f, 1.25f, 0.0f);
         super.renderPreview(tessellator,squid, x, y, z, yaw, partialTick);
diff --git a/src/main/java/net/minecraft/client/render/entity/WolfRenderer.java b/src/main/java/net/minecraft/client/render/entity/MobRendererWolf.java
similarity index 82%
rename from src/main/java/net/minecraft/client/render/entity/WolfRenderer.java
rename to src/main/java/net/minecraft/client/render/entity/MobRendererWolf.java
index 3cde6fbb5..8f61b37e7 100644
--- a/src/main/java/net/minecraft/client/render/entity/WolfRenderer.java
+++ b/src/main/java/net/minecraft/client/render/entity/MobRendererWolf.java
@@ -2,30 +2,30 @@ package net.minecraft.client.render.entity;
 
 import net.minecraft.client.render.block.model.BlockModelDispatcher;
 import net.minecraft.client.render.item.model.ItemModelDispatcher;
-import net.minecraft.client.render.model.WolfModel;
+import net.minecraft.client.render.model.ModelWolf;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.entity.animal.WolfMob;
+import net.minecraft.core.entity.animal.MobWolf;
 
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.item.material.ArmorMaterial;
 import net.minecraft.core.util.helper.MathHelper;
 import org.lwjgl.opengl.GL11;
 
-public class WolfRenderer extends MobRenderer<WolfMob>
+public class MobRendererWolf extends MobRenderer<MobWolf>
 {
-    private final WolfModel modelArmor;
-    protected WolfModel modelWolfMain;
+    private final ModelWolf modelArmor;
+    protected ModelWolf modelWolfMain;
 
-    public WolfRenderer(WolfModel modelWolf, float shadowSize)
+    public MobRendererWolf(ModelWolf modelWolf, float shadowSize)
     {
         super(modelWolf, shadowSize);
         modelWolfMain = modelWolf;
-        modelArmor = new WolfModel(0.25f);
+        modelArmor = new ModelWolf(0.25f);
     }
 
     @Override
-    protected boolean prepareArmor(WolfMob wolf, int layer, float partialTick) {
+    protected boolean prepareArmor(MobWolf wolf, int layer, float partialTick) {
         ArmorMaterial material = wolf.getArmorMaterial();
         if (material == null) {
             return false;
@@ -35,7 +35,7 @@ public class WolfRenderer extends MobRenderer<WolfMob>
         return true;
     }
     @Override
-    protected float limbSway(WolfMob wolf, float partialTick)
+    protected float limbSway(MobWolf wolf, float partialTick)
     {
         if(wolf.isWolfAngry())
         {
@@ -52,7 +52,7 @@ public class WolfRenderer extends MobRenderer<WolfMob>
     }
 
     @Override
-    protected void renderAdditional(WolfMob entity, float f){
+    protected void renderAdditional(MobWolf entity, float f){
         ItemStack itemstack = entity.getWolfHeldItem();
 
         if(itemstack != null && itemstack.getItem() != null) {
diff --git a/src/main/java/net/minecraft/client/render/entity/ArmoredZombieRenderer.java b/src/main/java/net/minecraft/client/render/entity/MobRendererZombieArmored.java
similarity index 76%
rename from src/main/java/net/minecraft/client/render/entity/ArmoredZombieRenderer.java
rename to src/main/java/net/minecraft/client/render/entity/MobRendererZombieArmored.java
index 6058284fb..fabd18273 100644
--- a/src/main/java/net/minecraft/client/render/entity/ArmoredZombieRenderer.java
+++ b/src/main/java/net/minecraft/client/render/entity/MobRendererZombieArmored.java
@@ -1,27 +1,27 @@
 package net.minecraft.client.render.entity;
 
-import net.minecraft.client.render.model.ZombieModel;
-import net.minecraft.core.entity.monster.ZombieArmoredMob;
+import net.minecraft.client.render.model.ModelZombie;
+import net.minecraft.core.entity.monster.MobZombieArmored;
 
-public class ArmoredZombieRenderer extends BipedRenderer<ZombieArmoredMob>
+public class MobRendererZombieArmored extends MobRendererBiped<MobZombieArmored>
 {
 
-    private final ZombieModel modelArmorChestplate;
-    private final ZombieModel modelArmor;
+    private final ModelZombie modelArmorChestplate;
+    private final ModelZombie modelArmor;
 
-    public ArmoredZombieRenderer(ZombieModel model, float shadowSize)
+    public MobRendererZombieArmored(ModelZombie model, float shadowSize)
     {
         super(model, shadowSize);
         modelBipedMain = model;
-        modelArmorChestplate = new ZombieModel(1.0F);
-        modelArmor = new ZombieModel(0.5F);
+        modelArmorChestplate = new ModelZombie(1.0F);
+        modelArmor = new ModelZombie(0.5F);
     }
 
     @Override
-    protected boolean prepareArmor(ZombieArmoredMob zombie, int renderPass, float partialTick)
+    protected boolean prepareArmor(MobZombieArmored zombie, int renderPass, float partialTick)
     {
         bindTexture("/assets/minecraft/textures/armor/chain" + "_" + (renderPass != 2 ? 1 : 2) + ".png");
-        ZombieModel model = renderPass != 2 ? modelArmorChestplate : modelArmor;
+        ModelZombie model = renderPass != 2 ? modelArmorChestplate : modelArmor;
         model.head.visible = renderPass == 0;
         model.hair.visible = renderPass == 0;
         model.body.visible = renderPass == 1 || renderPass == 2;
diff --git a/src/main/java/net/minecraft/client/render/item/model/BlockItemModel.java b/src/main/java/net/minecraft/client/render/item/model/ItemModelBlock.java
similarity index 97%
rename from src/main/java/net/minecraft/client/render/item/model/BlockItemModel.java
rename to src/main/java/net/minecraft/client/render/item/model/ItemModelBlock.java
index 63dbd8c20..dec48e322 100644
--- a/src/main/java/net/minecraft/client/render/item/model/BlockItemModel.java
+++ b/src/main/java/net/minecraft/client/render/item/model/ItemModelBlock.java
@@ -16,7 +16,7 @@ import net.minecraft.core.block.Block;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.item.ItemStack;
-import net.minecraft.core.item.block.BlockItem;
+import net.minecraft.core.item.block.ItemBlock;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.util.helper.Side;
 import org.jetbrains.annotations.NotNull;
@@ -28,12 +28,12 @@ import java.util.Random;
 
 import static org.lwjgl.opengl.GL11.*;
 
-public class BlockItemModel extends StandardItemModel {
+public class ItemModelBlock extends ItemModelStandard {
     private Block block;
     private BlockModel<Block> blockModel;
-    public BlockItemModel(BlockItem blockItem){
-        super(blockItem, null);
-        this.block = blockItem.getBlock();
+    public ItemModelBlock(ItemBlock itemBlock){
+        super(itemBlock, null);
+        this.block = itemBlock.getBlock();
         this.blockModel = BlockModelDispatcher.getInstance().getDispatch(block);
         icon = blockModel.getBlockTextureFromSideAndMetadata(Side.NORTH, 0);
     }
diff --git a/src/main/java/net/minecraft/client/render/item/model/BowItemModel.java b/src/main/java/net/minecraft/client/render/item/model/ItemModelBow.java
similarity index 90%
rename from src/main/java/net/minecraft/client/render/item/model/BowItemModel.java
rename to src/main/java/net/minecraft/client/render/item/model/ItemModelBow.java
index dda734c48..c32c6a869 100644
--- a/src/main/java/net/minecraft/client/render/item/model/BowItemModel.java
+++ b/src/main/java/net/minecraft/client/render/item/model/ItemModelBow.java
@@ -1,14 +1,14 @@
 package net.minecraft.client.render.item.model;
 
 import net.minecraft.client.Minecraft;
-import net.minecraft.client.entity.player.RemotePlayer;
+import net.minecraft.client.entity.player.PlayerRemote;
 import net.minecraft.client.render.Font;
 import net.minecraft.client.render.ItemRenderer;
 import net.minecraft.client.render.TextureManager;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.entity.Entity;
-import net.minecraft.core.entity.monster.SkeletonMob;
+import net.minecraft.core.entity.monster.MobSkeleton;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.item.Item;
 import net.minecraft.core.item.ItemStack;
@@ -22,8 +22,8 @@ import static org.lwjgl.opengl.GL11.glBlendFunc;
 import static org.lwjgl.opengl.GL11.glDisable;
 import static org.lwjgl.opengl.GL11.glEnable;
 
-public class BowItemModel extends StandardItemModel {
-    public BowItemModel(Item item, String namespace) {
+public class ItemModelBow extends ItemModelStandard {
+    public ItemModelBow(Item item, String namespace) {
         super(item, namespace);
     }
 
@@ -35,8 +35,8 @@ public class BowItemModel extends StandardItemModel {
             Player entityplayer = (Player)entity;
             nextArrow = getNextArrow(entityplayer);
         }
-        if (entity instanceof SkeletonMob){
-            if (((SkeletonMob) entity).attackTime < 5){
+        if (entity instanceof MobSkeleton){
+            if (((MobSkeleton) entity).attackTime < 5){
                 nextArrow = Items.AMMO_ARROW;
             }
         }
@@ -54,7 +54,7 @@ public class BowItemModel extends StandardItemModel {
             glEnable(GL_BLEND);
             glBlendFunc(GL11.GL_SRC_ALPHA, GL11.GL_ONE_MINUS_SRC_ALPHA);
             glEnable(GL_CULL_FACE);
-            StandardItemModel arrowModel = (StandardItemModel) ItemModelDispatcher.getInstance().getDispatch(nextArrow);
+            ItemModelStandard arrowModel = (ItemModelStandard) ItemModelDispatcher.getInstance().getDispatch(nextArrow);
             IconCoordinate textureIndex = arrowModel.getIcon(mc.thePlayer, nextArrow.getDefaultStack());
             GL11.glDisable(GL_LIGHTING);
             textureIndex.parentAtlas.bind();
@@ -75,7 +75,7 @@ public class BowItemModel extends StandardItemModel {
         super.renderItemIntoGui(tessellator, font, textureManager, itemStack, x, y, brightness, alpha);
     }
     public Item getNextArrow(Player player){
-        if (player instanceof RemotePlayer){
+        if (player instanceof PlayerRemote){
             int id = player.getArrowId();
             if (id < 0 || id >= Item.itemsList.length) return null;
             return Item.itemsList[id];
diff --git a/src/main/java/net/minecraft/client/render/item/model/CoalItemModel.java b/src/main/java/net/minecraft/client/render/item/model/ItemModelCoal.java
similarity index 87%
rename from src/main/java/net/minecraft/client/render/item/model/CoalItemModel.java
rename to src/main/java/net/minecraft/client/render/item/model/ItemModelCoal.java
index 63e5fe4a5..2867671ad 100644
--- a/src/main/java/net/minecraft/client/render/item/model/CoalItemModel.java
+++ b/src/main/java/net/minecraft/client/render/item/model/ItemModelCoal.java
@@ -8,9 +8,9 @@ import net.minecraft.core.item.ItemStack;
 import org.jetbrains.annotations.NotNull;
 import org.jetbrains.annotations.Nullable;
 
-public class CoalItemModel extends StandardItemModel {
+public class ItemModelCoal extends ItemModelStandard {
     protected IconCoordinate charcoal = TextureRegistry.getTexture("minecraft:item/charcoal");
-    public CoalItemModel(Item item, String namespace) {
+    public ItemModelCoal(Item item, String namespace) {
         super(item, namespace);
     }
 
